Mail archive
alpine-aports

[alpine-aports] [PATCH] unmaintained/pulseaudio: update to 5.99.2 + X11 / Capability support

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Wed, 31 Dec 2014 02:50:51 +0000

PA now with X11 & Capability support builtin.
---
 unmaintained/pulseaudio/APKBUILD         | 57 +++++++++++++++++++-------------
 unmaintained/pulseaudio/pulseaudio.initd |  4 +--
 2 files changed, 36 insertions(+), 25 deletions(-)
diff --git a/unmaintained/pulseaudio/APKBUILD b/unmaintained/pulseaudio/APKBUILD
index 54799d0..dd6576a 100644
--- a/unmaintained/pulseaudio/APKBUILD
+++ b/unmaintained/pulseaudio/APKBUILD
_at_@ -1,8 +1,8 @@
 # Contributor: Carlo Landmeter <clandmeter_at_gmail.com>
-# Maintainer:
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
 pkgname=pulseaudio
-pkgver=4.0
-pkgrel=1
+pkgver=5.99.2
+pkgrel=0
 pkgdesc="A featureful, general-purpose sound server"
 url="http://www.freedesktop.org/wiki/Software/PulseAudio"
 arch="all"
_at_@ -10,13 +10,15 @@ license="LGPL"
 depends=""
 depends_dev="glib-dev json-c-dev libsndfile-dev tdb-dev udev-dev dbus-dev speex-dev
 	bluez-dev gconf-dev avahi-dev gtk+3.0-dev libsamplerate-dev openssl-dev
-	alsa-lib-dev jack-dev check-dev orc-dev libasyncns-dev fftw-dev"
+	alsa-lib-dev jack-dev check-dev orc-dev libasyncns-dev fftw-dev libice-dev
+	libsm-dev libcap-dev"
 makedepends="$depends_dev autoconf automake libtool intltool"
 install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang $pkgname-libs"
-source="http://freedesktop.org/software/pulseaudio/releases/pulseaudio-$pkgver.tar.xz
+source="http://freedesktop.org/software/pulseaudio/releases/pulseaudio-$pkgver.tar.gz
 	$pkgname.initd
-	$pkgname.confd"
+	$pkgname.confd
+	"
 
 _builddir="$srcdir"/pulseaudio-$pkgver
 prepare() {
_at_@ -27,11 +29,15 @@ prepare() {
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
+	export LIBS="-lcap"      ### capability.h detection broken in ./configure ###
+	export LDFLAGS="-lintl"  ### https://bugs.gentoo.org/528986?id=528986 ###
 }
 
 build() {
 	cd "$_builddir"
-	./configure --prefix=/usr \
+	./configure --build=$CBUILD \
+                --host=$CHOST \
+		--prefix=/usr \
 		--sysconfdir=/etc \
 		--libexecdir=/usr/lib \
 		--localstatedir=/var \
_at_@ -39,16 +45,21 @@ build() {
 		--with-database=tdb \
 		--disable-tcpwrap \
 		--disable-default-build-tests \
+		--without-caps \
+		--enable-x11 \
 		|| return 1
-	make || return 1
+	make || return1
 }
 
 package() {
         cd "$_builddir"
-        make DESTDIR="$pkgdir" install || return 1
+	export LIBRARY_PATH="$_builddir/src/.libs${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}"
+	make -j1 DESTDIR="$pkgdir" install \
+		bashcompletiondir=/usr/share/bash-completion/completions || return 1
         rm -f "$pkgdir"/usr/lib/*.la \
 		"$pkgdir"/usr/lib/*/*.la
-        install -D -m755 "$srcdir"/$pkgname.initd \
+        rm -rf "$pkgdir"/etc/dbus-1
+	install -D -m755 "$srcdir"/$pkgname.initd \
                 "$pkgdir"/etc/init.d/$pkgname || return 1
         install -D -m644 "$srcdir"/$pkgname.confd \
                 "$pkgdir"/etc/conf.d/$pkgname || return 1
_at_@ -60,31 +71,31 @@ libs() {
 	cd "$_builddir"
 	mkdir -p "$subpkgdir"/etc/pulse \
 		"$subpkgdir"/usr/bin \
+		"$subpkgdir"/usr/share/bash-completion \
 		"$subpkgdir"/usr/lib/pulseaudio || return 1
-	
+
 	mv "$pkgdir"/etc/pulse/client.conf \
 		"$subpkgdir"/etc/pulse || return 1
-	
-	for i in pacat pactl padsp pamon paplay parec parecord; do
+
+	for i in pacat pactl pacmd pamon paplay parec parecord; do
 		mv "$pkgdir"/usr/bin/$i \
 			"$subpkgdir"/usr/bin/ || return 1
 	done
 
 	mv "$pkgdir"/usr/lib/libpulse-simple.so* \
 		"$pkgdir"/usr/lib/libpulse-mainloop-glib.so* \
-		"$subpkgdir"/usr/lib || return 1
+		"$subpkgdir"/usr/lib/pulseaudio/ || return 1
 
-	mv "$pkgdir"/usr/lib/pulseaudio/libpulsedsp.so \
-		"$pkgdir"/usr/lib/pulseaudio/libpulsecommon-*.so \
-		"$subpkgdir"/usr/lib/pulseaudio || return 1
+	mv "$pkgdir"/usr/share/bash-completion \
+                "$subpkgdir"/usr/share/ || return 1
 }
 
-md5sums="591f211db2790a7e4d222f2dc6858db3  pulseaudio-4.0.tar.xz
-fd33954332955e8ef6a8f9f1f5c58e80  pulseaudio.initd
+md5sums="c10bd740da75f8320640482e4a65a782  pulseaudio-5.99.2.tar.gz
+305e790e7eced01d3de681379f8f3bc4  pulseaudio.initd
 bf7487ba2c48fc8a56bca41c97a18934  pulseaudio.confd"
-sha256sums="35ceb36bb1822fe54f0b5e4863b4f486769fdfb8ff2111f01fd8778928f9cdae  pulseaudio-4.0.tar.xz
-60e4571a8af0437bd99cfd858fde1e6223544a60e591febf25e55e4a2918ff59  pulseaudio.initd
+sha256sums="1ec14af9c4e23b6056caf7cef9ff88300afb553e6b07cab1e1fe8ac8c5ed1756  pulseaudio-5.99.2.tar.gz
+c5e427c438e950353a7037d5784cdb91e6bcdd55def6635d8a6387230fbfca2a  pulseaudio.initd
 c03661e8cc902d27ff6b52f291207f2b008957571b942abdd92a873a52aae0dd  pulseaudio.confd"
-sha512sums="7cfb57b15943ec5239f23b90637ab7ab421ac57cf05312030bb348ee7d72a70343716b9bf79035b2426e820984cf8179285548b8acf0b7232defcd8b9ad32e83  pulseaudio-4.0.tar.xz
-c510ddc71509435946a4f5a29ee2deb124fddec1a078433651bee99fd71424a0673c6b67015c2b737878e0e6e1da0b0ee4935e419a00cbfe74d6f8c8dc91f243  pulseaudio.initd
+sha512sums="340dfa5fbbf36d9882a15e62fa9eb9c801da19a79c20fe7c89613d8f362782d07adcae139bcf2c4d2f4234338a186ffa942da7da7b421d64d586ca727f6a7f1c  pulseaudio-5.99.2.tar.gz
+d20c1d118a51fa30b28a522ef0e607bd005c098291650aed45ed989d1377326484f1d3549ada38bc5a47f80f339109cdff6a9133359c12fae04b51060b2393e1  pulseaudio.initd
 75b54581591519d63a3362b155c0f9b0501a60763ab394693a456c44d0216138cf3a40bdd0f7442028663bc045e9ffee286f8f8eaf2ee3bb17379b43615fee0e  pulseaudio.confd"
diff --git a/unmaintained/pulseaudio/pulseaudio.initd b/unmaintained/pulseaudio/pulseaudio.initd
index c573c03..21d25ba 100644
--- a/unmaintained/pulseaudio/pulseaudio.initd
+++ b/unmaintained/pulseaudio/pulseaudio.initd
_at_@ -50,7 +50,7 @@ depend() {
 	if egrep -q '^[[:space:]]*load-module[[:space:]]+module-alsa-(sink|source)' "$script" || 
 	    egrep -q '^[[:space:]]*load-module[[:space:]]+module-(udev-)?detect' "$script" ||
 	    egrep -q '^[[:space:]]*add-autoload-source[[:space:]]+(input|output)[[:space:]]+module-alsa-(sink|source)' "$script"; then
-	    needs="${needs} alsasound"
+	    needs="${needs} alsa" # in Alpine install alsa-utils to provide /etc/init.d/alsa (not alsasound as in Gentoo).
 	fi
 #endif
 
_at_@ -61,7 +61,7 @@ depend() {
 start() {
 	if [ -z "${PULSEAUDIO_SHOULD_NOT_GO_SYSTEMWIDE}" ]; then
 		eerror "Please don't use system wide PulseAudio unless you read the"
-		eerror "documentation available at http://www.pulseaudio.org/wiki/WhatIsWrongWithSystemMode"
+		eerror "documentation available at http://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/SystemWide/"
 		eerror ""
 		eerror "When you're done, please set the variable PULSEAUDIO_SHOULD_NOT_GO_SYSTEMWIDE in"
 		eerror "/etc/conf.d/pulseaudio . Please remember that upstream does not support this mode"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Dec 31 2014 - 02:50:51 GMT